/*
                               Printing
 */

#ifndef PRINT_H
#define PRINT_H

#if !defined(WIN32)

#include <gtk/gtk.h>
#include "imgview.h"
#include "printopts.h"


extern gint iv_print(
	imgview_image_struct *img,		/* Image to print */
	gint frame_num,				/* Frame on image to print */
	const print_values_struct *pv,		/* Print values */
	const guint8 *bg_color,			/* 4 bytes RGBA */
	GtkWidget *toplevel
);

#endif	/* !WIN32 */

#endif	/* PRINT_H */
