/*
				Screen Shot
 */

#ifndef SCREENSHOT_H
#define SCREENSHOT_H

#include <gtk/gtk.h>
#include "imgview.h"


extern const gchar *iv_screenshot_get_error(void);

extern gint iv_screenshot_start(
	imgview_struct *iv,
	gint *width, gint *height,
	gulong delay,			/* In milliseconds. */
	gboolean include_decorations,
	gboolean resize_on_load,
	GtkWidget *grab_window,
	GdkCursor *grab_cursor
);


#endif	/* SCREENSHOT_H */
